﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding">تعديل بيانات المستخدم</div>
        <div class="right sliding">
            
            <a href="#search" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<div class="page-content" ng-show="IsSeeker">
    <div class="content">
        <div class="itemContent">

            <div class="profile-img text-center" ng-click="AddUserImage()" ng-class="isUserImageEmpty?'has-error':'no-error'">
                <div class="picOption">
                    <i class="ionicons ion-android-upload"></i>
                </div>
                <img name="imgUserAgent" data-ng-src="{{userImage | generateURL}}" src="http://placehold.it/100?text=image" fallback-src="http://placehold.it/100?text=image" required />
            </div>
            <p ng-show="isUserImageEmpty" class="error-block">يجب اختيار صورة المستخدم</p>

            <div class="list-block m-auto b-b-1">
                <form name="$parent.EditUserProfileForm" ng-submit="submitUserForm($parent.EditUserProfileForm.$valid)" novalidate>
                    <ul>
                        <li><h3 class="withoutInvalid"><i class="ionicons ion-person withoutInvalid"></i>بيانات المستخدم</h3></li>
                        <li>
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.name.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ionicons ion-person"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="name" class="form-control" type="text" placeholder="الإسم بالكامل" ng-model="editUserProfileForm.name" required>
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.name.$error.required" class="error-block">يجب إدخال الإسم بالكامل</p>
                        </li>
                        <li>
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ionicons ion-person"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="username" class="form-control" type="text" placeholder="اسم المستخدم" ng-pattern="nameRegex" ng-model="editUserProfileForm.username" required ng-minlength="4">
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن أربع أحرف</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>
                        </li>
                        <li>
                            <a id="linkSignUpAgentCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="city" id="userCityId" ng-model="editUserProfileForm.city" ng-options="city.name for city in cites" required>
                                    <option ng-select="true" ng-disabled="true" value="">المدينة</option>
                                </select>
                                <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.city.$invalid?'has-error':'no-error'">
                                    <div class="item-media"><i class="ion-android-home"></i></div>
                                    <div class="item-inner">
                                        <div id="divItemAfterUserCity" class="item-after"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.city.$error.required" class="error-block">يجب اختيار المدينة</p>
                            </a>
                        </li>
                    </ul>
                    <div class="centered-75 m-auto">
                        <button id="userEditProfile" type="submit" class="button button-fill button-rounded fullWidth" ng-click="submittedEditUserProfile=true"><i class="ionicons ion-android-archive"></i>حفظ البيانات</button>
                    </div>
                </form>
            </div>
            
        </div>
    </div>
</div>

<div class="page-content" ng-hide="IsSeeker">
    <div class="content">
        <div class="itemContent">
            <div class="row editImg">
                <div class="col-100">
                    <h3><i class="ionicons ion-android-image"></i>الصور الشخصية</h3>
                </div>

                <div class="col-40">
                    <p>صورة المندوب</p>
                    <div class="profile-img text-center" ng-click="AddAgentImage(false)" ng-class="isAgentImageEmpty?'has-error':'no-error'">
                        <div class="picOption">
                            <i class="ionicons ion-android-upload"></i>
                        </div>
                        <img name="imgAgent" data-ng-src="{{agentImage | generateURL}}" src="http://placehold.it/100?text=image" fallback-src="http://placehold.it/100?text=image" required />
                    </div>
                    <p ng-show="isAgentImageEmpty" class="error-block">يجب اختيار صورة المندوب</p>
                </div>
                <div class="col-60">
                    <p>صورة الهوية الوطنية</p>
                    <div class="profile-img text-center fullWidth" ng-click="AddAgentImage(true)" ng-class="isAgentNationalImageEmpty?'has-error':'no-error'">
                        <div class="picOption">
                            <i class="ionicons ion-android-upload"></i>
                        </div>
                        <img name="imgAgentNational" data-ng-src="{{nationalImage | generateURL}}" src="http://placehold.it/250x100?text=image" fallback-src="http://placehold.it/250x100?text=image" required />
                    </div>
                    <p ng-show="isAgentNationalImageEmpty" class="error-block">يجب اختيار صورة الهوية</p>
                </div>

            </div>
            <div class="list-block m-auto b-b-1">
                <form name="$parent.EditAgentProfileForm" ng-submit="submitAgentForm($parent.EditAgentProfileForm.$valid)" novalidate>
                    <ul>
                        <li><h3 class="withoutInvalid"><i class="ionicons ion-person withoutInvalid"></i>بيانات المستخدم</h3></li>
                        <li>
                            <div class="item-content" ng-class="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.name.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ionicons ion-person"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="name" class="form-control" type="text" placeholder="الإسم بالكامل" ng-model="editAgentProfileForm.name" required>
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.name.$error.required" class="error-block">يجب إدخال الإسم بالكامل</p>
                        </li>
                        <li>
                            <div class="item-content" ng-class="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.username.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ionicons ion-person"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="username" class="form-control" type="text" placeholder="اسم المستخدم" ng-pattern="nameRegex" ng-model="editAgentProfileForm.username" required ng-minlength="4">
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن أربع أحرف</p>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>
                        </li>
                        <li>
                            <a id="linkSignUpAgentCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="city" id="cityId" ng-model="editAgentProfileForm.city" ng-options="city.name for city in cites" required>
                                    <option ng-select="true" ng-disabled="true" value="">المدينة</option>
                                </select>
                                <div class="item-content" ng-class="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.city.$invalid?'has-error':'no-error'">
                                    <div class="item-media"><i class="ion-android-home"></i></div>
                                    <div class="item-inner">
                                        <div id="divItemAfterAgentCity" class="item-after"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.city.$error.required" class="error-block">يجب اختيار المدينة</p>
                            </a>
                        </li>

                        <li><h3 class="withoutInvalid"><i class="ionicons ion-android-list withoutInvalid"></i>تصنيفات الخدمات</h3></li>
                        <li>
                            <a id="linkSignUpAgentCategory" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="category" id="categoryId" ng-model="editAgentProfileForm.category" ng-options="category.name for category in allCategories" ng-change="FilterSubCategories(editAgentProfileForm.category)" multiple required>
                                    <option ng-select="true" selected ng-disabled="true" value="">التصنيفات الرئيسية</option>
                                </select>
                                <div class="item-content" ng-class="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.category.$invalid?'has-error':'no-error'">
                                    <div class="item-media"><i class="ion-android-list"></i></div>
                                    <div class="item-inner">
                                        <div id="divItemAfterAgentCategories" class="item-after"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.category.$error.required" class="error-block">يجب اختيار تصنيف رئيسي</p>
                            </a>
                        </li>

                        <li>
                            <a id="linkSignUpAgentSubCategory" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="subCategory" id="subCategoryId" ng-model="editAgentProfileForm.subCategory" ng-options="subCategory.name for subCategory in subCategories" ng-change="CountSelectedSubs(editAgentProfileForm.subCategory)" multiple required>
                                    <option ng-select="true" selected ng-disabled="true" value="">التصنيفات الفرعية</option>
                                </select>
                                <div class="item-content" ng-class="(submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.subCategory.$invalid) || maxCategoriesExceeded ?'has-error':'no-error'">
                                    <div class="item-media"><i class="ion-android-list"></i></div>
                                    <div class="item-inner">
                                        <div id="divItemAfterAgentSubCategories" class="item-after"></div>
                                    </div>
                                </div>
                                <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.subCategory.$error.required" class="error-block">يجب اختيار تصنيف فرعي</p>
                                <p ng-show="submittedEditAgentProfile && editAgentProfileReset && maxCategoriesExceeded" class="error-block">لقد قمت باختيار عدد غير مسموح به من التصنيفات الفرعية</p>
                            </a>
                        </li>

                        <li><h3 class="withoutInvalid"><i class="ionicons ion-android-globe withoutInvalid"></i>بيانات التواصل</h3></li>
                        <li>
                            <div class="item-content" ng-class="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.whatsapp.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ion-social-whatsapp"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="whatsapp" class="form-control" type="tel" placeholder="رقم الواتس آب" ng-pattern="mobileRegex" ng-model="editAgentProfileForm.whatsapp" ng-minlength="10" ng-maxlength="10" />
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.whatsapp.$error.pattern" class="error-block">رقم الواتس غير صحيح</p>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.whatsapp.$error.minlength" class="error-block">رقم الواتس يجب أن يكون عشرة أرقام فقط</p>
                            <p ng-show="submittedEditAgentProfile && editAgentProfileReset && $parent.EditAgentProfileForm.whatsapp.$error.maxlength" class="error-block">رقم الواتس يجب أن يكون عشرة أرقام فقط</p>
                        </li>
                        <li>
                            <div class="item-content">
                                <div class="item-media"><i class="ion-social-facebook withoutInvalid"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="facebook" class="form-control" type="text" placeholder="رابط الفيس بوك" ng-model="editAgentProfileForm.facebook" />
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="item-content">
                                <div class="item-media"><i class="ion-social-googleplus withoutInvalid"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="google" class="form-control" type="text" placeholder="رابط جوجل بلس" ng-model="editAgentProfileForm.google" />
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="item-content">
                                <div class="item-media"><i class="ion-social-instagram withoutInvalid"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="instagram" class="form-control" type="text" placeholder="رابط انستجرام" ng-model="editAgentProfileForm.instagram" />
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="item-content">
                                <div class="item-media"><i class="ion-social-twitter withoutInvalid"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="twitter" class="form-control" type="text" placeholder="رابط تويتر" ng-model="editAgentProfileForm.twitter" />
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li><h3 class="withoutInvalid"><i class="ionicons ion-document-text withoutInvalid"></i>الوصف</h3></li>
                        <li>
                            <div class="item-content">
                                <div class="item-media"><i class="ion-document-text withoutInvalid"></i></div>
                                <div class="item-inner">
                                    <div class="item-input">
                                        <textarea name="description" placeholder="الوصف" ng-model="editAgentProfileForm.description" ></textarea>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                    <div class="centered-75 m-auto">
                        <button id="agentEditProfile" type="submit" class="button button-fill button-rounded fullWidth" ng-click="submittedEditAgentProfile=true"><i class="ionicons ion-android-archive"></i>حفظ البيانات</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>